export const setRequestLoading: import("redux-actions").ActionFunction0<import("redux-actions").Action<{
    statePath: any;
    queryKey: any;
}>>;
export const setRequestPromise: import("redux-actions").ActionFunction0<import("redux-actions").Action<{
    statePath: any;
    queryKey: any;
    queryPromise: any;
}>>;
export const setRequestLoaded: import("redux-actions").ActionFunction0<import("redux-actions").Action<{
    statePath: any;
    queryKey: any;
}>>;
export const setRequestError: import("redux-actions").ActionFunction0<import("redux-actions").Action<{
    statePath: any;
    queryKey: any;
    error: any;
}>>;
export const setRequestUnloaded: import("redux-actions").ActionFunction0<import("redux-actions").Action<{
    statePath: any;
}>>;
declare function _default(state: {} | undefined, action: any): {};
export default _default;
